### Function

# Adw AnimationTargetFunc

#### Declaration

    void
    (* AdwAnimationTargetFunc) (
      double value,
      gpointer user_data
    )

#### Description [src]

Prototype for animation targets based on user callbacks.

Available since: | 1.0

#### Parameters

`value` | `double`
| The animation value.
`user_data` | `gpointer`
| The user data provided when creating the target.
| The argument can be `NULL`.
| The data is owned by the caller of the function.